cancel
Showing results for 
Search instead for 
Did you mean: 

Вопросы по локализации Magento2

Вопросы по локализации Magento2

Добрый день!

 

Поставил вот этот пакет локализации на Magento2: https://bitbucket.org/etws/m2_russianlanguagepack.git

Всё хорошо встало, но не могу понять где лежат файлы с переводами? В директориях стандартных модулей в /vendor/magento/ ничего подобного не нашел.

 

И еще, свои кастомные модули нужно локализовывать как описано здесь? http://devdocs.magento.com/guides/v2.0/frontend-dev-guide/translations/xlate.html

Нужно ли свой модуль инсталлировать через Component Manager если он лежит в /app/code/ а не в /vendor/?

8 REPLIES

Re: Вопросы по локализации Magento2

Наш перевод (файл словаря) лежит в vendor/etws, а не в vendor/magento.

Вы можете из него создать перевод для конкретных модулей.

Также можете собрать фразы из сторонних модулей, перевести и закинуть их обратно в модуля.

 

Подробнее о работе с переводами в официальной документации

http://devdocs.magento.com/guides/v2.0/config-guide/cli/config-cli-subcommands-i18n.html#config-cli-...


ET Web Solutions
extensions, custom work, support

Re: Вопросы по локализации Magento2

Подскажите. Я успешно установил локализацию, но, в файле Ru_ru.csv есть перевод многих слов, но вот только они у меня не все перевелись, по какой-то причине. Например "You have no items in your shopping cart.","Ваша корзина покупок пуста.",module,Magento_Checkout, у меня во фронтенде показывает как - You have no items in your shopping cart. В чём может быть проблема? Заранее спасибо!

Re: Вопросы по локализации Magento2

Попробуйте очистить хранилище кеша.

bin/magento cache:flush

ET Web Solutions
extensions, custom work, support

Re: Вопросы по локализации Magento2

Увы, не помогло( Может есть ещё варианты?

Re: Вопросы по локализации Magento2

Куча вариантов. Начиная от неправильной настройки и заканчивая несовпадающей фразой. 

Только что ставил на чистую систему - всё переводится

 

m2_cart


ET Web Solutions
extensions, custom work, support

Re: Вопросы по локализации Magento2

При установке пишет следующее:

 

Your requirements could not be resolved to an installable set of packages.

Problem 1
- Installation request for pokerstrategy/library-require-dev dev-master -> satisfiable by pokerstrategy/library-require-dev[dev-master].
- pokerstrategy/library-require-dev dev-master requires ukko/phpredis-phpdoc 2.2.*@dev -> satisfiable by ukko/phpredis-phpdoc[2.2.x-dev] but these conflict with your requirements or minimum-stability.


Installation failed, reverting ./composer.json to its original content

 

Может кто сталкивался?

 

Устанавливал по след. команде

composer require etws/magento-language-ru_ru:*

Re: Вопросы по локализации Magento2

Это не проблема нашего языкового пакета. Смотрите composer.json вашего проекта, неудачная загрузка зависимости явно из него.

 

Смотрите где у вас в зависимостях указан pokerstrategy/library-require-dev и как он вообще туда попал, так как данный пакет анулирован как с гит хаба, так и с пакегиста.


ET Web Solutions
extensions, custom work, support

Re: Вопросы по локализации Magento2

Решение проблемы не нашел, но полная переустановка magento 2 помогла.

Весь проект удалил и залил по новой. Спасибо!

 

OpenServer + PhpStorm + Grunt + Magento работает на 100%.

Я новичок, но такой формат создания сайтов для меня подходит.